<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Compiler\Factory;

use PpPhp\Core\Platform\DI\Contracts\ContainerInterface;

interface CompiledFactoryInterface
{
    public function serviceId(): string;

    public function create(ContainerInterface $container): mixed;
}
